/*
    Title:    SPI-Test
    Author:   Andreas Schwarz (andreas-s@web.de)
    Date:     1/2002
    Software: AVR-GCC
    Hardware: AT90S2333
*/

#include <io.h>

#define SCK 2
#define MOSI 0
#define ENABLE 1

extern void spi(unsigned char);

int main( void )
{

	sbi(DDRB, SCK);
	sbi(DDRB, MOSI);
	sbi(DDRB, ENABLE);

	sbi(PORTB, ENABLE);
	cbi(PORTB, SCK);

	cbi(PORTB, ENABLE);
	spi(0xAA); //erster HC595
   spi(0xBB); //zweiter HC595
   spi(0xCC); //dritter HC595
   spi(0xDD); //vierter HC595
	sbi(PORTB, ENABLE);

	while(1);

}

