/*

Funktion fr Software-SPI
Sendet ein Datenbyte an einen an Port B angeschlossenen 74HC595

void spi(unsigned char);

*/

#include <macros.inc>
#include <ctoasm.inc>

#define value rP1

/*
Welche Pins sollen fr die einzelnen SPI-Leitungen verwendet werden?
*/
#define MOSI 0
#define SCK 2


#define count rTI0

   .global spi
   .func spi

spi:
   clr count
   
loop:
   cbi PORTB, MOSI
   rol value
   brcc carrycleared
   sbi PORTB, MOSI
carrycleared:
	nop
   sbi PORTB, SCK
   nop
   cbi PORTB, SCK
   inc count
   cpi count, 8
   brne loop

   ret

   .endfunc
